# Uses of Class
javax.imageio.plugins.tiff.TIFFTagSet

Packages that use TIFFTagSet
Package
Description
javax.imageio.plugins.tiff
Public classes used by the built-in TIFF plug-ins.

- ## Uses of TIFFTagSet in javax.imageio.plugins.tiff

  Subclasses of TIFFTagSet in javax.imageio.plugins.tiff
  Modifier and Type
  Class
  Description
  `final class`
  `BaselineTIFFTagSet`
  A class representing the set of tags found in the baseline TIFF specification as well as some common additional tags.
  `final class`
  `ExifGPSTagSet`
  A class representing the tags found in an Exif GPS Info IFD.
  `final class`
  `ExifInteroperabilityTagSet`
  A class representing the tags found in an Exif Interoperability IFD.
  `final class`
  `ExifParentTIFFTagSet`
  A class containing the TIFF tags used to reference the Exif and GPS IFDs.
  `final class`
  `ExifTIFFTagSet`
  A class representing the tags found in an Exif IFD.
  `final class`
  `FaxTIFFTagSet`
  A class representing the extra tags found in a TIFF-F (RFC 2036) file.
  `final class`
  `GeoTIFFTagSet`
  A class representing the tags found in a GeoTIFF IFD.
  Methods in javax.imageio.plugins.tiff that return TIFFTagSet
  Modifier and Type
  Method
  Description
  `TIFFTagSet`
  TIFFTag.`getTagSet()`
  Returns the `TIFFTagSet` of which this tag is a part.
  `TIFFTagSet[]`
  TIFFDirectory.`getTagSets()`
  Returns the `TIFFTagSet`s of which this directory is aware.
  Methods in javax.imageio.plugins.tiff that return types with arguments of type TIFFTagSet
  Modifier and Type
  Method
  Description
  `List<TIFFTagSet>`
  TIFFImageReadParam.`getAllowedTagSets()`
  Returns a `List` containing the allowed `TIFFTagSet` objects.
  Methods in javax.imageio.plugins.tiff with parameters of type TIFFTagSet
  Modifier and Type
  Method
  Description
  `void`
  TIFFImageReadParam.`addAllowedTagSet(TIFFTagSet tagSet)`
  Adds a `TIFFTagSet` object to the list of allowed tag sets.
  `void`
  TIFFDirectory.`addTagSet(TIFFTagSet tagSet)`
  Adds an element to the group of `TIFFTagSet`s of which this directory is aware.
  `static TIFFField`
  TIFFField.`createFromMetadataNode(TIFFTagSet tagSet, Node node)`
  Creates a `TIFFField` from a TIFF native image metadata node.
  `void`
  TIFFImageReadParam.`removeAllowedTagSet(TIFFTagSet tagSet)`
  Removes a `TIFFTagSet` object from the list of allowed tag sets.
  `void`
  TIFFDirectory.`removeTagSet(TIFFTagSet tagSet)`
  Removes an element from the group of `TIFFTagSet`s of which this directory is aware.
  Constructors in javax.imageio.plugins.tiff with parameters of type TIFFTagSet
  Modifier
  Constructor
  Description
  ``
  `TIFFDirectory(TIFFTagSet[] tagSets, TIFFTag parentTag)`
  Constructs a `TIFFDirectory` which is aware of a given group of `TIFFTagSet`s.
  ``
  `TIFFTag(String name, int number, TIFFTagSet tagSet)`
  Constructs a `TIFFTag` with a given name, tag number and `TIFFTagSet` to which it refers.